/**
 * Plugin
 */
export declare class VueSeparatePlugin {
    private header;
    private root;
    private source;
    private target;
    constructor({ header, root }?: {
        header?: string | undefined;
        root?: string | undefined;
    });
    apply(resolver: any): void;
    /**
     * Check validity before virtual resolution
     *
     * 1. File should be located inside 'root/src' folder
     * 2. File should be a "real" .vue
     *    not a .vue.xxx trying to be resolved as .vue.xxx.vue
     */
    private isValid;
    /**
     * Get all `name.vue[.attribute].ext` files
     */
    private getSources;
    /**
     * Create content for SFC with `<tag src=""></tag>`
     */
    private createContent;
    /**
     * Create stats for virtual file content
     */
    private createStats;
}
